module Parsefiles
  module Utils

    def self.included(base)
      base.extend ClassMethods
    end

    module ClassMethods

      def unix_ts(file)
        File.mtime(file).to_i
      end

      def strDate_to_unix_timestamp(strDate)
        Date.strptime(strDate, '%m-%d-%Y').to_time.to_i
      end

      def validate_date_format(strDate)
        Date.strptime(strDate,'%m-%d-%Y')
        rescue ArgumentError
          raise "Invalid date format. Correct format : m-d-y."
      end

      def date_in_range(date,start_date,end_date)
        start = strDate_to_unix_timestamp(start_date)
        finish = strDate_to_unix_timestamp(end_date) + 86399
        range = start..finish
        range === date
      end
    end
  end
end
